<?php get_header(); ?>
<?php $mts_options = get_option(MTS_THEME_NAME); ?>
<?php $header_animation = mts_get_post_header_effect(); ?>
<?php if ( 'parallax' === $header_animation ) {?>
	<?php if (mts_get_thumbnail_url()) : ?>
        <div id="parallax" <?php echo 'style="background-image: url('.mts_get_thumbnail_url().');"'; ?>></div>
    <?php endif; ?>
<?php } else if ( 'zoomout' === $header_animation ) {?>
	 <?php if (mts_get_thumbnail_url()) : ?>
        <div id="zoom-out-effect"><div id="zoom-out-bg" <?php echo 'style="background-image: url('.mts_get_thumbnail_url().');"'; ?>></div></div>
    <?php endif; ?>
<?php } ?>
<div id="page" class="<?php mts_single_page_class(); ?>">
	<article class="<?php mts_article_class(); ?>" itemscope itemtype="http://schema.org/BlogPosting">
		<?php if ( has_post_thumbnail() ) {
			$imgsrc = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'full'); ?>
	        <div itemprop="image" itemscope itemtype="https://schema.org/ImageObject">
				<link itemprop="url" href="<?php echo $imgsrc[0]; ?>">
				<meta itemprop="width" content="<?php echo $imgsrc[1]; ?>">
				<meta itemprop="height" content="<?php echo $imgsrc[2]; ?>">
			</div>
	    <?php } ?>
	    <div itemprop="publisher" itemscope itemtype="https://schema.org/Organization">
	    	<div itemprop="logo" itemscope itemtype="https://schema.org/ImageObject">
				<link itemprop="url" href="<?php echo $mts_options['mts_logo']; ?>">
			</div>
			<meta itemprop="name" content="<?php echo esc_attr( get_bloginfo( 'title' ) ); ?>">
			<meta itemprop="url" content="<?php echo esc_attr( get_site_url() ); ?>">
		</div>
		<meta itemprop="dateModified" content="<?php echo esc_attr( get_post_modified_time( 'c' ) ); ?>">
		<link itemprop="mainEntityOfPage" href="<?php the_permalink(); ?>" />
		<div id="content_box" >
			<?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>
				<div id="post-<?php the_ID(); ?>" <?php post_class('g post'); ?>>
					<?php if ($mts_options['mts_breadcrumb'] == '1') { ?>
						<div class="breadcrumb" xmlns:v="http://rdf.data-vocabulary.org/#"><?php mts_the_breadcrumb(); ?></div>
					<?php }
					// Single post parts ordering
					if ( isset( $mts_options['mts_single_post_layout'] ) && is_array( $mts_options['mts_single_post_layout'] ) && array_key_exists( 'enabled', $mts_options['mts_single_post_layout'] ) ) {
						$single_post_parts = $mts_options['mts_single_post_layout']['enabled'];
					} else {
						$single_post_parts = array( 'content' => 'content', 'related' => 'related', 'author' => 'author' );
					}
					foreach( $single_post_parts as $part => $label ) { 
						switch ($part) {
							case 'content':
								?>
								<div class="single_post">
									<header>
										<?php if($mts_options['mts_single_headline_meta'] == '1' && isset($mts_options['mts_single_headline_meta_info']['category']) == '1') { ?>
											<div class="thecategory"><?php mts_the_category(', ') ?></div>
										<?php } ?>
										<h1 class="title single-title entry-title" itemprop="headline"><?php the_title(); ?></h1>
										<?php if($mts_options['mts_single_headline_meta'] == '1') { ?>
											<div class="post-info">
												<?php if(isset($mts_options['mts_single_headline_meta_info']['author']) == '1') { ?>
									                <span class="author-image"><?php if(function_exists('get_avatar')) { echo get_avatar( get_the_author_meta('email'), '50' );  } ?></span>
									                <span class="theauthor"><span itemprop="author"><?php _e('by', MTS_THEME_TEXTDOMAIN); ?>&nbsp;<a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" rel="nofollow" class="fn"><?php the_author_meta( 'nickname' ); ?></a></span></span>
								                <?php } ?>
								                <?php if(!empty($mts_options['mts_total_views'])) { ?>
								               		<span class="views"><div><?php $count = get_post_meta( get_the_id(), '_mts_view_count', true ); if ( $count )  echo __('<i class="fa fa-eye"></i>', MTS_THEME_NAME) . ' ' . $count;  ?></div></span>
								               	<?php } ?>
								                <?php if(isset($mts_options['mts_single_headline_meta_info']['date']) == '1') { ?>
								                	<div class="thetime updated"><span itemprop="datePublished"><?php the_time( get_option( 'date_format' ) ); ?></span></div>
								                <?php } ?>
								            </div>
								        <?php } ?>
									</header><!--.headline_area-->
									<div class="post-single-content box mark-links entry-content">
										<?php if ($mts_options['mts_posttop_adcode'] != '') { ?>
											<?php $toptime = $mts_options['mts_posttop_adcode_time']; if (strcmp( date("Y-m-d", strtotime( "-$toptime day")), get_the_time("Y-m-d") ) >= 0) { ?>
												<div class="topad">
													<?php echo do_shortcode($mts_options['mts_posttop_adcode']); ?>
												</div>
											<?php } ?>
										<?php } ?>
										<?php if (isset($mts_options['mts_social_button_position']) && $mts_options['mts_social_button_position'] == 'top') mts_social_buttons(); ?>
										<div class="thecontent" itemprop="articleBody">
											<?php the_content(); ?>
										</div>
										<?php wp_link_pages(array('before' => '<div class="pagination">', 'after' => '</div>', 'link_before'  => '<span class="current"><span class="currenttext">', 'link_after' => '</span></span>', 'next_or_number' => 'next_and_number', 'nextpagelink' => __('Next', MTS_THEME_TEXTDOMAIN ), 'previouspagelink' => __('Previous', MTS_THEME_TEXTDOMAIN ), 'pagelink' => '%','echo' => 1 )); ?>
										<?php if ($mts_options['mts_postend_adcode'] != '') { ?>
											<?php $endtime = $mts_options['mts_postend_adcode_time']; if (strcmp( date("Y-m-d", strtotime( "-$endtime day")), get_the_time("Y-m-d") ) >= 0) { ?>
												<div class="bottomad">
													<?php echo do_shortcode($mts_options['mts_postend_adcode']); ?>
												</div>
											<?php } ?>
										<?php } ?> 
										<?php if (isset($mts_options['mts_social_button_position']) && $mts_options['mts_social_button_position'] !== 'top') mts_social_buttons(); ?>
									</div><!--.post-single-content-->
								</div><!--.single_post-->
								<?php
							break;

							case 'tags':
								?>
								<?php mts_the_tags('<span class="tagtext">'.__('Tags', MTS_THEME_TEXTDOMAIN ).':</span>',', ') ?>
								<?php
							break;

							case 'related':
								mts_related_posts();
							break;

							case 'author':
								?>
								<div class="postauthor">
									<h4><?php _e('About The Author', MTS_THEME_TEXTDOMAIN ); ?></h4>
									<?php if(function_exists('get_avatar')) { echo get_avatar( get_the_author_meta('email'), '80' );  } ?>
									<h5 class="vcard"><a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" rel="nofollow" class="fn"><?php the_author_meta( 'nickname' ); ?></a></h5>
									<p><?php the_author_meta('description') ?></p>
								</div>
								<?php
							break;
						}
					}
					?>
				</div><!--.g post-->
				<?php comments_template( '', true ); ?>
			<?php endwhile; /* end loop */ ?>
		</div>
	</article>
	<?php get_sidebar(); ?>
<?php get_footer(); ?>